MPROJWWTEXEC(1)

NAME
mProjWWTExec - None

SYNOPSIS
mProjWWTExec [-d level] tileLevel input.fits baseName hdrDir tileDir

DESCRIPTION
Runs mProjectQL for all the tiles needed for a WWT TOAST set. Headers for the reprojection should already have been generated using mHdrWWTExec. The base names for all tiles in a WWT TOAST set are the same, so that is needed as an argument, too.

OPTIONS

-d level
    Turns on debugging to some level

ARGUMENTS

tileLevel
    The depth of WWT TOAST tiles desired. This should be no bigger than the depth to which header files were created.

input.fits
    Input image to be reprojected into WWT TOAST tile FITS images.

baseName
    Base name for tiles. For instance, an output tile named "planck3102.fits" has the base name "planck".

hdrDir
    Directory with header templates. These will have names like "tile3102.hdr".

tileDir
    Directory for output images.

RESULT
This utility has two limitations. First, it assumes that all the tiles are reprojections of a single input FITS file. Montage has all the functions needed to use multiple inputs, even coadding across multiple images for any tile. Second, all the output files are put in a single directory. This may become unworkable if the tiles go deep enough. Both of these shortcoming can be easily overcome but the details will depend on the details of the input data so we have opted for a simple initial approach.

MESSAGES

OK  [struct stat="OK", level=level, nimage=count]

ERROR
    Problem with FITS file.

ERROR
    Cannot find/address header directory [dir].

ERROR
    [dir] is not a directory.

ERROR
    Problem creating output tile directory.

ERROR
    Problem with output tile directory.

ERROR
    mProjectQL error message

EXAMPLES

$ mProjWWTExec 4 Planck857.fits planck hdrs fits
    [struct stat="OK", level=4, nimage=341]

BUGS
The drizzle algorithm has been implemented but has not been tested in this release.

If a header template contains carriage returns (i.e., created/modified on a Windows machine), the cfitsio library will be unable to read it properly, resulting in the error: [struct stat="ERROR", status=207, msg="illegal character in keyword"]

It is best for the background correction algorithms if the area described in the header template completely encloses all of the input images in their entirety. If parts of input images are "chopped off" by the header template, the background correction will be affected. We recommend you use an expanded header for the reprojection and background modeling steps, returning to the originally desired header size for the final coaddition. The default background matching assumes that there are no non-linear background variations in the individual images (and therefore in the overlap differences). If there is any uncertainty in this regard, it is safer to turn on the "level only" background matching (the "-l" flag in mBgModel.

COPYRIGHT
2001-2015 California Institute of Technology, Pasadena, California

If your research uses Montage, please include the following acknowledgement: "This research made use of Montage. It is funded by the National Science Foundation under Grant Number ACI-1440620, and was previously funded by the National Aeronautics and Space Administration's Earth Science Technology Office, Computation Technologies Project, under Cooperative Agreement Number NCC5-626 between NASA and the California Institute of Technology."

The Montage distribution includes an adaptation of the MOPEX algorithm developed at the Spitzer Science Center.